;---------------------------------------------------------------------------]
;-- Include file of 'WindowProcess' for Masm32
;-- by, Prof. DrAcULA
;---------------------------------------------------------------------------]

;---------------------------------------------------------------------------]
;--ListProcess-function fills a listbox, with the list of currently running
;--processes. Process-ID(in hex), Number of threads and process-filename
;--are shown in the listbox.
;--Parameters: [1]. Handle of the listbox to be filled with process-info
;--            [2]. Address of buffer that'll store number of active pr.
;--For example call as;
;--     Result          DB      ?
;--     invoke          GetDlgItem, hWnd, YOUR_LIST_BOX
;--     invoke          ListProcess, eax, offset Result
;---------------------------------------------------------------------------]
ListProcess     PROTO   :DWORD, :DWORD
;---------------------------------------------------------------------------]


;---------------------------------------------------------------------------]
;--KillProcess-function kills a process selected by user in the listbox.
;--After killing the specified process, it reloads the list of active
;--processes in the listbox.
;--Parameters: [1]. Handle of the listbox to be filled with process-info
;--            [2]. Address of buffer that'll store number of active pr.
;--For example call as;
;--     Result          DB      ?
;--     invoke          GetDlgItem, hWnd, YOUR_LIST_BOX
;--     invoke          KillProcess, eax, offset Result
;---------------------------------------------------------------------------]
KillProcess     PROTO   :DWORD, :DWORD
;---------------------------------------------------------------------------]